# Note that this is NOT a relocatable package
%define ver      1.2.1
%define  RELEASE 1
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix   /usr

Summary: Userland applications for Affix Bluetooth stack
Name: affix
Version: %ver
Release: %rel
Copyright: GPL
Group: Applications/System
Vendor: Nokia Research Center
Packager: Mitja Pufic <raveer@section-one.org>
Source: http://affix.sourceforge.net/affix-%{ver}.tar.gz
Patch0: http://www.section-one.org/BT/init/affix/btloader.diff.gz
Patch1: http://www.section-one.org/BT/init/affix/btcontrol.diff.gz
Patch2: http://www.section-one.org/BT/init/affix/btserver.diff.gz
Patch3: http://www.section-one.org/BT/init/affix/bluetooth.diff.gz
Patch4: http://www.section-one.org/BT/init/affix/README.RPM.diff.gz
Patch5: http://affix.sourceforge.net/utils.diff.gz
BuildRoot: /var/tmp/%{name}-%{PACKAGE_VERSION}-root
URL: http://affix.sourceforge.net
Docdir: %{prefix}/share/doc
Requires: glibc >= 2.2.4
Requires: hotplug >= 2002_04_01
Requires: openobex >= 0.9.8
Requires: glib >= 1.2
Requires: glib-devel >= 1.2
Requires: affix-kernel >= 1.2.1
BuildRequires: glibc >= 2.2.4
BuildRequires: glib-devel >= 1.2
BuildRequires: affix-kernel >= 1.2.1
BuildRequires: affix-kernel-devel >= 1.2.1

%package devel
Summary: Affix header files.
Requires: affix-kernel = 1.2.1
BuildRequires: glibc >= 2.2.4
BuildRequires: glib-devel >= 1.2
BuildRequires: affix-kernel >= 1.2.1
BuildRequires: affix-kernel-devel >= 1.2.1
Group: Development/Libraries

%description
Affix Bluetooth userland applications to manage bluetooth devices.

includes:
- Affix core libraries and tools; libaffix.so, libaffix_utils.so, btctl, btsrv
- Service Discovery client/server libraries and daemon; libaffix_sdp.so, libaffix_sdpsvc.so, btsdp.
- OBEX client/server libraries and daemon; libaffix_obex.so, btobex

Affix Bluetooth Protocol Stack for Linux has been developed at
Nokia Research Center in Helsinki, Finland.

Affix package supports the following profiles:
        - General Access Profie
        - Service Discovery Profile
        - Serial Port Profile
        - DialUp Networking Profile
        - LAN Access Profile
        - OBEX Object Push Profile
        - OBEX File Transfer Profile
        - PAN Profile

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.

%description devel
Affix Bluetooth kernel modules for USB / PCMCIA bluetooth devices.

Affix Bluetooth Protocol Stack for Linux has been developed at
Nokia Research Center in Helsinki, Finland.

Affix package supports the following profiles:
        - General Access Profie
        - Service Discovery Profile
        - Serial Port Profile
        - DialUp Networking Profile
        - LAN Access Profile
        - OBEX Object Push Profile
        - OBEX File Transfer Profile
        - PAN Profile

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.

This package includes header files and libraries.

%changelog
* Sat Sep 21 2002 Mitja Pufic <m@section-one.org>
- [changes] PAN initialization procedure changed.
        "btctl pan [init|stop]" used to do it.
- [fix] sec_level did not set by btsrv
- [new] BCSP protocol suported:
        e.g. btctl open_uart /dev/ttyS0 bcsp
- [changes] Service which register records in SDP server
        has to maintain SDP server connection handle.
        If service die w/o service unregistration then
        SDP server removes service record

* Mon Sep 16 2002 Mitja Pufic <m@section-one.org>
- My Birthday :)
- requires affix-kernel-1.2.0
- [changes] SDP API simplified and improved
- [new] improved btsrv: new options in btsrv.conf
        - service options: security, class
        - device options: security, class, role, pkt_type
- [changes] btctl auth/encrypt changed to sec_mode
        btctl sec_mode service
        btctl sec_mode link auth

* Fri Sep 06 2002 Mitja Pufic <m@section-one.org>
- ChangeLog for more info, RPM package has now 3 init scripts, locking 
  feature and reads vars from /etc/sysconfig

* Tue Aug 06 2002 Mitja Pufic <m@section-one.org>
- Stable release, some new features, check ChangeLog for more info 
  bluetooth init script works now

* Fri Jul 19 2002 Mitja Pufic <m@section-one.org>
- etc fix + rpm lib fix

* Wed Jul 17 2002 Mitja Pufic <m@section-one.org>
- Initial RPM

%prep
rm -rf $RPM_BUILD_ROOT
rm -rf /usr/src/redhat/BUILD/*

%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --enable-hfp --prefix=%{prefix} --libdir=%{prefix}/lib
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
mkdir -p $RPM_BUILD_ROOT/etc/{affix,ppp}
mkdir -p $RPM_BUILD_ROOT/etc/ppp/ip-{up,down}.d
mkdir -p $RPM_BUILD_ROOT/usr/lib
cp bluetooth $RPM_BUILD_ROOT/etc/sysconfig/
cp btloader $RPM_BUILD_ROOT/etc/rc.d/init.d/
cp btserver $RPM_BUILD_ROOT/etc/rc.d/init.d/
cp btcontrol $RPM_BUILD_ROOT/etc/rc.d/init.d/
chmod +x $RPM_BUILD_ROOT/etc/rc.d/init.d/bt*
cp etc/{ppp*,serial,btsrv*} $RPM_BUILD_ROOT/etc/affix
cp etc/masq-up $RPM_BUILD_ROOT/etc/ppp/ip-up.d
cp etc/masq-down $RPM_BUILD_ROOT/etc/ppp/ip-down.d
mv /usr/lib/libaff* $RPM_BUILD_ROOT/usr/lib/

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

/etc/affix/*
/etc/ppp/ip-*.d/*
/etc/rc.d/init.d/bt*
/etc/sysconfig/bluetooth
/usr/bin/bt*

%doc AUTHORS COPYING INSTALL ChangeLog NEWS README LEGAL TODO doc/HOWTO doc/affix.txt doc/pan.txt README.RPM

%files devel
/usr/include/affix/*
/usr/lib/libaff*

